> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tax codes for a company



## OpenAPI

````yaml get /tax-codes
openapi: 3.0.0
info:
  description: Pleo.io API
  version: 0.0.1
  title: Pleo.io API
servers:
  - url: https://openapi.pleo.io/v1/
    description: Production
  - url: https://openapi.staging.pleo.io/v1/
    description: Staging
security:
  - BearerToken: []
tags: []
paths:
  /tax-codes:
    get:
      tags:
        - Tax Codes
      summary: Get tax codes for a company
      operationId: getTaxCodes
      parameters:
        - name: force
          in: query
          required: false
          schema:
            type: boolean
          description: Force tax code list to reload.
        - name: hidden
          in: query
          required: false
          schema:
            type: boolean
          description: Include hidden tax codes.
      responses:
        '200':
          description: Tax codes have been returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaxCodesResponse'
        '401':
          description: request unauthorized
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultUnauthorizedResponse'
        '403':
          description: Request forbidden; user has insufficient rights to a resource.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: '#/components/schemas/DefaultForbiddenResponse'
        '404':
          description: route not found
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 91a07b59-0401-4452-9e40-3501c9ec3bd4
        '500':
          description: >-
            Something went wrong. Please contact the administrator if problems
            persist.
          content:
            application/json; charset=utf-8:
              schema:
                $ref: 02582daa-70d4-44f7-9dd1-9e0de3847f50
      deprecated: true
components:
  schemas:
    TaxCodesResponse:
      type: object
      properties:
        taxCodes:
          type: array
          description: A list of tax codes fetched for the requested page
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique UUID identifier of the tax code.
              name:
                type: string
                description: The name of the tax.
              code:
                type: string
                description: The short code of the tax.
              rate:
                type: number
                description: This is the rate of the tax code.
              type:
                type: string
                default: normal
                description: >-
                  This is the type of the tax code. Can be "normal" or
                  "reverse".
                enum:
                  - NORMAL
                  - REVERSE
              ingoingTaxAccount:
                type: string
                description: This is the ingoing account related to the tax codes.
              outgoingTaxAccount:
                type: string
                description: This is the outgoing account related to the tax codes.
              enabled:
                type: boolean
                description: This value is true if the tax code is not hidden.
              createdAt:
                type: string
                description: >-
                  Date and time this record was created in the pleo system in
                  the format YYYY-MM-DDTHH:mi:ss.SSSZ
                format: date-time
              updatedAt:
                type: string
                description: >-
                  Date and time this record was last updated in the pleo system
                  in the format YYYY-MM-DDTHH:mi:ss.SSSZ
                format: date-time
              deletedAt:
                type: string
                description: >-
                  Date and time this record was deleted in the pleo system in
                  the format YYYY-MM-DDTHH:mi:ss.SSSZ
                format: date-time
            required:
              - id
              - name
              - rate
              - enabled
      required:
        - taxCodes
    DefaultUnauthorizedResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
    DefaultForbiddenResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
          description: http response status code
        error:
          type: string
          example: Forbidden
          description: error type
        message:
          type: string
          example: user_scope_insufficient
          description: error message
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
      description: Open API Bearer token

````